org.eclipse.actf.visualization.eval

## Interface IHtmlCheckTarget

All Superinterfaces:
  ICheckTarget

    public interface IHtmlCheckTarget
    extends ICheckTarget

Interface to hold information about target HTML content

See Also:
  `ICheckTarget`

### Method Summary

Methods
`IWebBrowserStyleInfo` `getBrowserAndStyleInfo()` Get current style information of content and `IWebBrowserACTF`
`HtmlEvalUtil` `getHtmlEvalUtil()` Get `HtmlEvalUtil` that have useful information to evaluate accessibility of target page

### Methods inherited from interface org.eclipse.actf.visualization.eval.ICheckTarget

`getAdditionalDocument, getTargetDocument, getTargetUrl, setAdditionalDocument`

### Method Detail

#### getBrowserAndStyleInfo

    IWebBrowserStyleInfo getBrowserAndStyleInfo()

Get current style information of content and `IWebBrowserACTF`

Returns:
  current style information

#### getHtmlEvalUtil

    HtmlEvalUtil getHtmlEvalUtil()

Get `HtmlEvalUtil` that have useful information to evaluate accessibility of target page

Returns: